Name:           homebank
Version:        3.5
Release:        5%{?dist}
Summary:        Free easy personal accounting for all  

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://homebank.free.fr
Source0:        http://homebank.free.fr/public/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  perl(XML::Parser)
BuildRequires:  gettext
BuildRequires:  libofx-devel

%description
HomeBank is the free software you have always wanted to manage your personal
accounts at home. The main concept is to be light, simple and very easy to use.
It brings you many features that allows you to analyze your finances in a
detailed way instantly and dynamically with powerful report tools based on
filtering and graphical charts.

%package doc
Summary: Documentation files for homebank
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}
%description doc
Documentation files for homebank


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install                                    \
        --delete-original                               \
        --vendor="fedora"                               \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        --mode 0644                                     \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache -q %{_datadir}/icons/hicolor;
fi
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null || :

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache -q %{_datadir}/icons/hicolor;
fi
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/%{name}
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/images
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/icons/hicolor/??x??/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/mime-info/%{name}.*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/application-registry/%{name}.applications

%files doc
%defattr(-,root,root,-)
%doc doc/TODO
%{_datadir}/%{name}/help

%changelog
* Sun Sep 16 2007 Johan Cwiklinski <johan AT x-tnd DOT ba> 3.5-5
- Removed pango from BR
- Added libofx-devel to BR
- Using macros everywhere
- Added update-desktop-databas to post
* Tue Sep 11 2007 Johan Cwiklinski <johan AT x-tnd DOT be> 3.5-4
- Added release to doc subpackage requires
* Tue Sep 11 2007 Johan Cwiklinski <johan AT x-tnd DOT be> 3.5-3
- Removed duplicate desktop file and logo file
- Corrected timestamps at install
- Removing pango from Requires
- Splitted doc into subpackage
* Mon Sep 10 2007 Johan Cwiklinski <johan AT x-tnd DOT be> 3.5-2
- Fixed tag licence
- Fixed .desktop errors
- Keep timestamps at install
- Own installation directory
- Use of icon cache and mime cache scriptlets
* Mon Sep 03 2007 Johan Cwiklinski <johan AT x-tnd DOT be> 3.5-1
- Upgrade to latest version
- praparing for submit to fedora's repository
* Mon Jul 02 2007 Johan Cwiklinski <johan@x-tnd.be> - 3.4_unstable-0.1
- Packaging unstable version
* Mon Jul 02 2007 Johan Cwiklinski <johan@x-tnd.be> - 3.3-0.1
- 3.3 stable has been released
* Sat Apr 21 2007 Johan Cwiklinski <johan@x-tnd.be> - 3.3_unstable-0.1
- Building unstable version
- Using name marco in source0
- using initial SPEC from drpixel
